config/routes.rb
Rails.application.routes.draw do
  

  resources :transactions
  resources :supplies
  resources :products
  resources :distributors
  resources :reports, only: [:index]
  devise_for :users, :path_prefix => 'my', controllers: { sessions: 'users/sessions' }
  resources :users
  get 'users/sign_in' => 'users/sessions#new'

  get '/', to: 'home#index'

  

end

app/models/distributor.rb
class Distributor < ActiveRecord::Base
  has_many :products
  has_many :supplies
  has_many :transactions
end

app/controllers/distributors_controller.rb
class DistributorsController < ApplicationController
  before_action :set_distributor, only: [:show, :edit, :update, :destroy]

  # GET /distributors
  # GET /distributors.json
  def index
    @distributors = Distributor.all
  end

  # GET /distributors/1
  # GET /distributors/1.json
  def show
  end

  # GET /distributors/new
  def new
    @distributor = Distributor.new
  end

  # GET /distributors/1/edit
  def edit
  end

  # POST /distributors
  # POST /distributors.json
  def create
    @distributor = Distributor.new(distributor_params)

    respond_to do |format|
      if @distributor.save
        format.html {redirect_to distributors_url, notice: 'Distributor was successfully created.' }
        format.json { render :show, status: :created, location: @distributor }
      else
        format.html { render :new }
        format.json { render json: @distributor.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /distributors/1
  # PATCH/PUT /distributors/1.json
  def update
    respond_to do |format|
      if @distributor.update(distributor_params)
        format.html { redirect_to distributors_url, notice: 'Distributor was successfully updated.' }
        format.json { render :show, status: :ok, location: @distributor }
      else
        format.html { render :edit }
        format.json { render json: @distributor.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /distributors/1
  # DELETE /distributors/1.json
  def destroy
    @distributor.destroy
    respond_to do |format|
      format.html { redirect_to distributors_url, notice: 'Distributor was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_distributor
      @distributor = Distributor.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def distributor_params
      params.require(:distributor).permit(:name, :adress, :telephone)
    end
end

app/helpers/distributors_helper.rb
module DistributorsHelper
end

app/views/distributors/_form.html.erb
<!-- Main Content -->
<div class="container-fluid">
    <div class="side-body">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                      <%= form_for(@distributor) do |form| %>
                      <% if @distributor.errors.any? %>
                        <div class="alert fresh-color alert-danger" role="alert">
                          <ul>
                            <% @distributor.errors.full_messages.each do |message| %>
                            <li>
                              <strong><%= message %></strong>
                            </li>
                            <% end %>
                          </ul>
                        </div>
                        <% end %>
                        <div for="name" class="sub-title">Nama</div>
                        <div>
                            <%= form.text_field :name, class: 'form-control', placeholder: 'masukan nama distributor ...' %>
                        </div>
                        <div class="sub-title">Alamat</div>
                        <div>
                            <%= form.text_field :adress, class: 'form-control', placeholder: 'masukan alamat distributor ...'  %>
                        </div>
                        <div class="sub-title">No. Telp / HP</div>
                        <div>
                            <%= form.text_field :telephone, class: 'form-control', placeholder: 'masukan nomor telepon atau HP distributor ...'  %>
                        </div>
                        <%= link_to 'Back', distributors_path, class: "btn btn-sm btn-default" %>
                        <button type="submit" class="btn btn-sm btn-info">Submit</button>
                      <% end %>
                    </div>
                </div>
            </div>
        </div>
    </div>

app/views/distributors/edit.html.erb
<%= render 'form' %>

app/views/distributors/index.html.erb
<!-- Main Content -->
<div class="container-fluid">
    <div class="side-body">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <div class="card-title">
                        <div class="title">Daftar Distributor</div>
                        </div>
                        <div class="pull-right card-action">
                          <%= button_to "Input Distributor Data", new_distributor_path, class: 'btn btn-info', method: 'get' %>
                        </div>
                    </div>
                    <div class="card-body">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th bgcolor="#9adbf9">Nama</th>
                                    <th bgcolor="#9adbf9">Alamat</th>
                                    <th bgcolor="#9adbf9">Telepon/HP</th>
                                    <th colspan="3">Options</th>
                                </tr>
                            </thead>
                            <tbody>
                                <% @distributors.each do |distributor| %>
                                <tr>
                                  <td><%= distributor.name %></td>
                                  <td><%= distributor.adress %></td>
                                  <td><%= distributor.telephone %></td>
                                  <td><%= link_to 'Edit', edit_distributor_path(distributor) %></td>
                                  <td><%= link_to 'Destroy', distributor, method: :delete, data: { confirm: 'Are you sure?' } %></td>
                                </tr>
                              <% end %>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

app/views/distributors/new.html.erb
<%= render 'form' %>

<%= link_to 'Back', distributors_path %>

app/views/distributors/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Name:</strong>
  <%= @distributor.name %>
</p>

<p>
  <strong>Adress:</strong>
  <%= @distributor.adress %>
</p>

<p>
  <strong>Telephone:</strong>
  <%= @distributor.telephone %>
</p>

<%= link_to 'Edit', edit_distributor_path(@distributor) %> |
<%= link_to 'Back', distributors_path %>